Change log

API Change
Auth API configurations added to response of POST /registerDevice
  • appId to be used in /registerDeviceToken
  • appConfig for registering with push notification service
Auth API GET /legals added to get terms and conditions
Auth API GET /content/{type} added to get privacy policy, faqs, user guide
Auth API Added notificationKey and notificationType to the data of push notifications
  • notificationKey:

    session_terminated: When charging session is stopped
    vehicle_charged: When vehicle is fully charged
    ev_status_updates: EV status updates if received from chargepoint e.g. Chargepoint is available

  • notificationType:

    actionable: User interaction required
    informational: Information to the user

Only session_terminated is implemented
Resource API GET /sessions
  • paymentDetails contains description, totalAmount and paymentCardDetails for display
  • chargingStatus filter added. Sessions can be filtered on 'ongoing' and 'stopped'
  • chargingPointDetails added to contain code and name of the location, charger and socket used for charging
Resource API paymentInfo and locationInfo split into multiple lines and returned as array for GET /map, /locations, /chargers and /sockets
  • Basic html formatting such as bold tags retained
  • Maximum 4 multilines returned
Resource API POST /receipt added to email a copy of receipt to the user
  • Email will be sent to the registered email address of the user unless an alternate email address is provided in the post request
  • For guest users, email address in post request is required
Resource API POST /queries added to post general or app-specific queries to the server
Resource API POST /paymentCards/update added to update cardholderName, cardExpiryMonth, cardExpiryYear and CVV